Bug 832074 - Review Request: python-tahrir-api - python module for commuicating with a tahrir database
Review Request: python-tahrir-api - python module for commuicating with a tah...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 08:57 EDT by Ross Delinger
Modified: 2014-09-29 16:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-05 17:28:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lmacken: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ross Delinger 2012-06-14 08:57:03 EDT
Spec URL: http://www.csh.rit.edu/~rossdylan/rpms/tahrir-api/python-tahrir-api.spec
SRPM URL: http://www.csh.rit.edu/~rossdylan/rpms/tahrir-api/python-tahrir-api-0.1.3.1-1.fc17.src.rpm
Description: This is my first package, and the first required for the fedora badges project. It consists of a python module for interacting with a Tahrir open badges database. It also includes a single script to initialize a tahrir database.
Fedora Account System Username: rossdylan
Comment 1 Ross Delinger 2012-06-14 08:58:54 EDT
Successful koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4161770
Comment 2 Luke Macken 2012-06-14 17:45:19 EDT
I will be sponsoring Ross and reviewing this package.
Comment 3 Luke Macken 2012-06-14 18:03:05 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint python-tahrir-api-0.1.3.1-1.fc18.src.rpm

python-tahrir-api.src: W: spelling-error %description -l en_US https -> HTTP
python-tahrir-api.src: W: spelling-error %description -l en_US github -> git hub, git-hub, thuggish
python-tahrir-api.src: W: spelling-error %description -l en_US ralphbean -> Randolph
python-tahrir-api.src: W: spelling-error %description -l en_US dbapi -> rapid
python-tahrir-api.src: W: invalid-license AGPLv3+
1 packages and 0 specfiles checked; 0 errors, 5 warnings.


rpmlint python-tahrir-api-0.1.3.1-1.fc18.noarch.rpm

python-tahrir-api.noarch: W: spelling-error %description -l en_US https -> HTTP
python-tahrir-api.noarch: W: spelling-error %description -l en_US github -> git hub, git-hub, thuggish
python-tahrir-api.noarch: W: spelling-error %description -l en_US ralphbean -> Randolph
python-tahrir-api.noarch: W: spelling-error %description -l en_US dbapi -> rapid
python-tahrir-api.noarch: W: invalid-license AGPLv3+
python-tahrir-api.noarch: W: no-manual-page-for-binary initialize_tahrir_db
1 packages and 0 specfiles checked; 0 errors, 6 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/lmacken/reviews/832074/tahrir-api-0.1.3.1.tar.gz :
  MD5SUM this package     : b5c6461d914e8cc1627203cfa52a5ef3
  MD5SUM upstream package : b5c6461d914e8cc1627203cfa52a5ef3

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint python-tahrir-api-0.1.3.1-1.fc18.src.rpm

python-tahrir-api.src: W: spelling-error %description -l en_US https -> HTTP
python-tahrir-api.src: W: spelling-error %description -l en_US github -> git hub, git-hub, thuggish
python-tahrir-api.src: W: spelling-error %description -l en_US ralphbean -> Randolph
python-tahrir-api.src: W: spelling-error %description -l en_US dbapi -> rapid
python-tahrir-api.src: W: invalid-license AGPLv3+
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

rpmlint python-tahrir-api-0.1.3.1-1.fc18.noarch.rpm

python-tahrir-api.noarch: W: spelling-error %description -l en_US https -> HTTP
python-tahrir-api.noarch: W: spelling-error %description -l en_US github -> git hub, git-hub, thuggish
python-tahrir-api.noarch: W: spelling-error %description -l en_US ralphbean -> Randolph
python-tahrir-api.noarch: W: spelling-error %description -l en_US dbapi -> rapid
python-tahrir-api.noarch: W: invalid-license AGPLv3+
python-tahrir-api.noarch: W: no-manual-page-for-binary initialize_tahrir_db
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint

Generated by fedora-review 0.1.3

================================================================================

Those rpmlint warnings aren't a big deal.

[!]: MUST Package consistently uses macros (instead of hard-coded directory names).

You have /usr/bin hardcoded in the %files section. You want %{_bindir} instead.

Also, you didn't specify your email address in the changelog.
Comment 4 Ross Delinger 2012-06-15 10:01:57 EDT
fixed the hardcoded /usr/bin and added my email to the changelog.
Comment 5 Luke Macken 2012-06-15 15:19:36 EDT
Looks good! APPROVED
Comment 6 Ross Delinger 2012-06-18 12:03:55 EDT
New Package SCM Request
=======================
Package Name: python-tahrir-api
Short Description: API for interacting with tahrir databases
Owners: rossdylan
Branches: f17 el6
InitialCC: rossdylan
Comment 7 Jon Ciesla 2012-06-18 12:12:35 EDT
Git done (by process-git-requests).

Luke, please take ownership of review BZs, thanks!
Comment 8 Fedora Update System 2012-06-18 16:43:44 EDT
python-tahrir-api-0.1.3.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-tahrir-api-0.1.3.1-1.fc17
Comment 9 Fedora Update System 2012-06-18 17:00:22 EDT
python-tahrir-api-0.1.3.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-tahrir-api-0.1.3.1-1.el6
Comment 10 Fedora Update System 2012-06-18 18:53:30 EDT
python-tahrir-api-0.1.3.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-tahrir-api-0.1.3.1-1.fc17
Comment 11 Fedora Update System 2012-06-18 18:58:39 EDT
python-tahrir-api-0.1.3.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-tahrir-api-0.1.3.1-1.el6
Comment 12 Fedora Update System 2012-07-23 15:46:32 EDT
python-tahrir-api-0.1.7-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-tahrir-api-0.1.7-1.fc17
Comment 13 Fedora Update System 2012-07-24 19:31:15 EDT
Package python-tahrir-api-0.1.7-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-tahrir-api-0.1.7-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11060/python-tahrir-api-0.1.7-1.fc17
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2012-08-05 17:28:38 EDT
python-tahrir-api-0.1.7-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2012-11-28 12:02:11 EST
python-tahrir-api-0.1.7-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-tahrir-api-0.1.7-1.el6
Comment 16 Fedora Update System 2013-01-21 22:40:56 EST
python-tahrir-api-0.1.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Ralph Bean 2014-09-29 15:56:35 EDT
Package Change Request
======================
Package Name: python-tahrir-api
New Branches: epel7
Owners: ralph
Comment 18 Jon Ciesla 2014-09-29 16:10:29 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.